GET /insights/v1/nfts/owners/{contract_address}
Get NFT owners by contract

Path Parameters

contract_address string required path
Example: "vitalik.eth"

Query Parameters

chain number[] optional query
Use chain_id instead
Example: [20,56,1]
chain_id number[] optional query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example: [20,56,1]
limit integer optional query
Example: 20
page integer | null optional query
Example: 0
include_balances string optional query
Example: "true"

Responses

200 Success
application/json
Array of:
Any of:
Option 1
chain_id string REQUIRED
token_address string REQUIRED
owner_address string REQUIRED
token_id string REQUIRED
balance string REQUIRED
Option 2
chain_id string REQUIRED
owner_addresses string[] REQUIRED
Array of:
404 Not found
500 Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/nfts/owners/vitalik.eth'
const response = await fetch('https://data-api.b3.fun//insights/v1/nfts/owners/vitalik.eth', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//insights/v1/nfts/owners/vitalik.eth')
print(response.json())
200 Response
[
  {
    "chain_id": "<string>",
    "token_address": "<string>",
    "owner_address": "<string>",
    "token_id": "<string>",
    "balance": "<string>"
  }
]
GET /insights/v1/nfts/owners/{contract_address}
Ask a question... ⌘I